﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DataMigrator
{
    public static class Lookups
    {
        public static Dictionary<string, int> SiteIds => new()
        {
            { "Tunkalilla", 1 },
            { "Cape Jervis", 2 },
            { "Ochre Point - Maslins", 3 },
            { "Eucla", 4 },
            { "Myponga Cliffs", 5 },
            { "Sellicks Beach", 6 },
            { "Barn Hill (The Bluff)", 7 },
            { "Eungella", 10 },
            { "Rex Lookout", 8 },
            { "Gillies Lookout", 9 },
            { "Dalby Aerodrome", 22 },
            { "Rainbow Beach - Carlo Sand Blow", 11 },
            { "Alexandra Headland", 12 },
            { "North End Sunshine Beach", 13 },
            { "Sunrise Beach", 14 },
            { "Point Cartwright", 15 },
            { "Teewah Beach", 16 },
            { "Mt. Widgee", 17 },
            { "Gerrards Lookout", 223 },
            { "Beechmont - Rosin's Lookout", 18 },
            { "Mt. Tamborine", 19 },
            { "Flying Fox", 20 },
            { "Hinchcliffe's (Hart's, Flattop)", 21 },
            { "Winton", 23 },
            { "Winton Hill", 23 }, // Renamed 2021-06-30
            { "Eaglehawk Neck", 24 },
            { "Tunbridge Tier", 26 },
            { "Rocky Cape", 29 },
            { "Round Hill", 30 },
            { "Don Heads", 31 },
            { "The Don Head", 31 }, // Renamed 2021-06-30
            { "Fossil Bluff", 32 },
            { "Observatory Point - Twilight Beach", 44 },
            { "Frenchman's Peak", 45 },
            { "Wozza's Knob", 46 },
            { "Mount Rennie", 47 },
            { "Mottleys Ridge", 48 },
            { "City View", 48 }, // Renamed 2020-09-15
            { "Horrocks Beach", 49 },
            { "Lynton Farm", 50 },
            { "Kalbarri South Sea Cliffs", 51 },
            { "Kalbarri North Coastal - Zuytdorp Sea Cliffs", 52 },
            { "Brunswick Junction", 53 },
            { "Bunbury Back Beach", 55 },
            { "Dalyellup", 56 },
            { "Yallingup - Three Bears", 57 },
            { "Yallingup - Rabbit Hill", 58 },
            { "Injidup", 59 },
            { "Moses Rocks", 60 },
            { "Conto Springs", 61 },
            { "Cosy Corner", 62 },
            { "Greenhills", 63 },
            { "Point Matthew", 64 },
            { "Sarge Bay", 65 },
            { "Cottesloe", 67 },
            { "Mosman Park", 69 },
            { "Quinns Rocks", 70 },
            { "Burns Beach", 71 },
            { "Mullaloo Beach", 72 },
            { "Serpentine", 73 },
            { "Warnbro", 74 },
            { "Avalon", 75 },
            { "Two Rocks Beach", 76 },
            { "Seabird", 77 },
            { "Gingin", 78 },
            { "Noondeening Hill", 79 },
            { "Masters", 80 },
            { "Windmill Hill, Toodyay", 81 },
            { "Mt Nardie, Toodyay", 82 },
            { "Whitfield Hill (Wicklow)", 83 },
            { "White Lakes Farm, Toodyay", 84 },
            { "The Range, Toodyay", 85 },
            { "Mount Bakewell (top launches)", 86 },
            { "Mount Bakewell (lower launch)", 87 },
            { "York Silos - Gwambygine Hill", 88 },
            { "York - Greenhills Towing", 89 },
            { "York Airstrip", 90 },
            { "Wyalkatchem", 91 },
            { "Westonia Tow Paddocks", 92 },
            { "Table Mountain", 93 },
            { "Mount Nameless", 94 },
            { "Cape Couvier", 95 },
            { "Bastion", 96 },
            { "Mt Harrison", 97 },
            { "Wyndham Towing", 98 },
            { "Kalgoorlie - Lake Perkolilly", 99 },
            { "Lake George (Geary's Gap)", 100 },
            { "Lake George (South Launch)", 101 },
            { "Lake George (Collector)", 102 },
            { "Honeysuckle", 103 },
            { "Spring Hill", 104 },
            { "Pig Hill", 105 },
            { "Lanyon", 106 },
            { "One Tree Hill, Gungahlin", 252 },
            { "Strzelecki lookout", 107 },
            { "Catherine Hill Bay (Catho's)", 108 },
            { "Glennies Ridge - Lake St Clair (Little Europe)", 109 },
            { "Crescent Head", 114 },
            { "North Brother Lookout", 115 },
            { "Harrys Lookout", 116 },
            { "Grants Headland - SE Bonnys", 117 },
            { "Bartletts Reserve - NE Bonnys", 118 },
            { "Indian Head", 119 },
            { "Rocky Beach", 120 },
            { "Nellies", 121 },
            { "Middle brother", 122 },
            { "Crackneck Lookout", 123 },
            { "Newport", 124 },
            { "Mona Vale", 125 },
            { "Cooks Terrace", 126 },
            { "Warriewood", 127 },
            { "Turimetta", 128 },
            { "Long Reef NE", 129 },
            { "Long Reef SE", 130 },
            { "Bungan", 131 },
            { "Stanwell Park - Bald Hill", 132 },
            { "Hill 60", 133 },
            { "Tongarra", 134 },
            { "Cambewarra", 135 },
            { "Manilla - Mt Borah", 136 },
            { "Conargo (Deniliquin)", 137 },
            { "Mt Blackheath", 138 },
            { "Mount Ovens", 139 },
            { "Sofala", 140 },
            { "Wolgan", 141 },
            { "Table Rock", 142 },
            { "Mount Rankin", 143 },
            { "Bells Beach", 144 },
            { "Bells Beach - Winkipop", 145 },
            { "Barwon Heads (13th Beach)", 146 },
            { "Clifton Springs", 147 },
            { "Eumeralla (Red Rocks)", 148 },
            { "Fishermans Beach", 149 },
            { "Flaxmans Hill", 150 },
            { "Grannies Grave", 151 },
            { "Johanna", 152 },
            { "Logans Beach", 153 },
            { "Levy's Point Beach", 154 },
            { "Marriners Lookout", 155 },
            { "Mt Meuron", 156 },
            { "Ocean Grove", 157 },
            { "Portland", 158 },
            { "Spion Kop (Fairhaven, Aireys, Moggs)", 159 },
            { "Teddys Lookout", 160 },
            { "Arthurs Seat", 161 },
            { "Cairns Bay", 163 },
            { "Cape Liptrap", 164 },
            { "Craigie Rd, Mt Martha", 166 },
            { "Eagles Nest", 167 },
            { "Flinders Golf Club", 168 },
            { "Flinders Monument", 169 },
            { "Kilcunda", 170 },
            { "Mentone", 171 },
            { "Potters Road, San Remo", 172 },
            { "Grossard Point, Phillip Island", 173 },
            { "Rhyll, Phillip Island", 174 },
            { "Fisher Street, Phillip Island", 175 },
            { "Phillip Island", 176 },
            { "Portsea", 177 },
            { "Red Bluff", 178 },
            { "Shoreham", 179 },
            { "Sunnyside", 180 },
            { "Ben More", 181 },
            { "Birchip Tow Paddock", 182 },
            { "Cave Hill", 183 },
            { "Colliers Gap", 184 },
            { "Elmhurst Hill", 186 },
            { "Gordon", 187 },
            { "Ben Nevis", 188 },
            { "Mt Buangor", 189 },
            { "Mt Buninyong", 190 },
            { "Mt Elephant", 191 },
            { "Mt Hollowback", 192 },
            { "Mt Tarrengower", 193 },
            { "Mt Langhi Ghiran", 194 },
            { "Mt Lonarch", 195 },
            { "Mt Sugarloaf", 196 },
            { "Werribee Gorge", 198 },
            { "Grampians", 199 },
            { "Landscape", 200 },
            { "Mt Broughton (Thistle Hill)", 201 },
            { "Mt Buffalo", 202 },
            { "Mt Buffalo - The Gorge HG Ramp", 202 },
            { "Mt Buffalo - Reed's Lookout", 253 },
            { "Mt Buffalo – Reed’s Lookout Paraglider launch", 253 },
            { "Mt Dandenong", 203 },
            { "Mt Donna Buang", 204 },
            { "Mt Elliot", 205 },
            { "Mt Emu", 206 },
            { "Mt Mittamatite", 207 },
            { "Murmungee", 208 },
            { "Mystic", 210 },
            { "Tawonga Gap", 211 },
            { "The Paps", 212 },
            { "Eagle Rise", 213 },
            { "The Pines (Buckland Ridge)", 214 },
            { "Manny's", 215 },
            { "Three Sisters (Flowerdale)", 216 },
            { "Warrigal Rocks", 217 },
            { "Yarragon", 218 },
            { "Gundowring (Savhill)", 219 },
            { "Mt Terrible", 220 },
            { "Locksley Field", 221 },
            { "Mt Gillen - West Gap, South Face", 222 },
            { "Kempton Hill", 245 },
            { "Single Hill", 246 },
            { "Lemon Hill", 247 },
            { "kunanyi - Mount Wellington", 248 },
            { "Mary Ann Bay", 249 },
            { "Windy Harbour", 250 },
            { "Wagga (80m dunes)", 251 },

            { "Dynamic Flightpark", 223 },
            { "The Escarpment", 224 },
            { "Myrtleford Hill", 225 },
            { "Back Beach", 226 },
            { "Tunbridge Tiers", 26 }, // This site was renamed to "Tunbridge Tier".
            { "Jews", 227 },
            { "Black", 228 },

            // Older repo
            { "Valentines", 229 },
            { "Point King - Albany Town", 230 },
            { "Berry's Beach, Phillip Island", 231 },
            { "Cowrie Bay", 232 },
            { "Sand Patch", 233 },
            { "Mutton Bird", 234 },
            { "Muttonbird Beach", 234 },
            { "Perkins Beach", 235 },
            { "Dingo's Beach", 236 },
            { "Shelley Beach", 237 },
            { "Lowlands Beach", 238 },
            { "Parry Beach - Point Hillier", 239 },
            { "Stirlings", 240 },
            { "Porongorups", 241 },
            { "Wozza’s Knob", 46 }, // Apostrophe vs single quote 
            { "Bunbury", 243 },
            { "Leighton and Cottesloe Beach", 67 }, // Looks like the same site.
            { "Phillip Island Nature Park", 244 },
            { "Fischer Street, Phillip Island", 175 }, // Fischer -> Fisher
            { "Dunvegan Road, Phillip Island", 254 },
        };
    }
}